@mixin fluid-font-size($minScreen, $maxScreen, $minFont, $maxFont) {
  & {
    font-size: #{$minFont};

    @media (min-width: #{$minScreen}) and (max-width: #{$maxScreen}) {
      font-size: calc(
        #{$minFont} + #{strip-unit($maxFont - $minFont)} *
        ((100vw - #{$minScreen}) / #{strip-unit($maxScreen - $minScreen)})
      );
    }

    @media (min-width: #{$maxScreen}) {
      font-size: #{$maxFont};
    }
  }
}

@mixin mq-min($value) {
  @media (min-width: $value) {
    @content;
  }
}

@mixin mq-max($value) {
  @media (max-width: $value) {
    @content;
  }
}
